Gnome::Gda::ConfigError Class Reference
Inheritance diagram for Gnome::Gda::ConfigError:
[legend]
Collaboration diagram for Gnome::Gda::ConfigError:
[legend]

## Public Types

enum | Code { CONFIG_DSN_NOT_FOUND_ERROR, CONFIG_PERMISSION_ERROR, CONFIG_PROVIDER_NOT_FOUND_ERROR, CONFIG_PROVIDER_CREATION_ERROR }

## Public Member Functions

| ConfigError (Code error_code, const Glib::ustring& error_message)
| ConfigError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

enum Gnome::Gda::ConfigError::Code

Enumerator
CONFIG_DSN_NOT_FOUND_ERROR |
CONFIG_PERMISSION_ERROR |
CONFIG_PROVIDER_NOT_FOUND_ERROR |
CONFIG_PROVIDER_CREATION_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ConfigError::ConfigError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ConfigError::ConfigError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gnome::Gda::ConfigError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/config.h